replicaCount: 1

namespace:
  annotations: {}
  labels:
    istio-injection: enabled
  enabled: true
  name: badhouseplants-application

nginx: 
  container:
    name: nginx
    resources: {}
  image: 
    repository: nginx
    pullPolicy: Always
    tag: latest
  
rclone:
  container:
    name: rclone
    resources: {}
  image: 
    repository: rclone/rclone
    pullPolicy: Always
    tag: latest
  config: |-
    [badhouseplants-public]
    type = s3
    provider = Minio
    region = us-west-1
    endpoint = s3.badhouseplants.net
    location_constraint = us-west-1

hugo:
  container:
    name: badhouseplants-net
    resources: {}
  image: 
    repository: git.badhouseplants.net/badhouseplants/badhouseplants-net
    pullPolicy: Always
    tag: latest
  baseURL: https://badhouseplants.net/
  buildDrafts: false

istio:
  annotations: {}
  enabled: true
  hosts:
    - badhouseplants.net
    - www.badhouseplants.net
  prefix: /

volumes:
  # ----------------------------------------------
  # -- An emptydir volume where hugo should 
  # --  put the static content
  # ----------------------------------------------
  public:
    name: public-content
    sizeLimit: 1Gi 
  # ----------------------------------------------
  # -- An emptydir volume where rclone should 
  # --  download pictures
  # ----------------------------------------------
  rclone: 
    name: s3-data
    sizeLimit: 1Gi

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

deployAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: false

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80
